[Config]
MessagePath=\nvt\log
;Serialize all incoming message processing (one at a time). Max wait for mutex is 10 seconds
SerializeProcessing=1
;Delay before releasing the serialization mutex (further delay)
SerializeDelayInTSec=0
##########################=##########################
#=1

;##########################=##########################
;#=1
[DDICLIStart]
;#Starts the alarm according the DDI and the CLI (in case of email with the FROM and the TO)=#
DDICLIStartActive=0
#Starts the alarm according the DDI and the CLI (in case of email with the FROM and the TO)=#
##########################=##########################
#=2

;##########################=##########################
;#=2
[DirectAlarmKeyStart]
;#Starts the alarm immediately from the alarmkey given in input=#
DirectAlarmKeyStartActive=0
StartAlarm=1
CreateTask=0
AlarmKeyInSubjectInsteadOfText=0
DefaultAlarmKey=0
;#To use as text the content of external msg file. If not existing take text anyway.=#
PreferExtendedMessageFileContentAsText=1
UseRegularExpression=0
;#Uses a regular expression in subject or on textline.=#
RegexpForAlarmKeyActive=0
RegexpForAlarmKeyInSubjectInsteadOfText=0
RegexpForAlarmKey=
RegexpLayoutForAlarmKey=\1
RegexpForMessageActive=0
RegexpForMessageInSubjectInsteadOfText=0
RegexpForMessage=
RegexpLayoutForMessage=\1
RegexpForDisplayMsg1Active=0
RegexpForDisplayMsg1InSubjectInsteadOfText=0
RegexpForDisplayMsg1=
RegexpLayoutForDisplayMsg1=\1
RegexpForDisplayMsg2Active=0
RegexpForDisplayMsg2InSubjectInsteadOfText=0
RegexpForDisplayMsg2=
RegexpLayoutForDisplayMsg2=\1
;#Set EliminateCRandLFinMsgs to 1, when you dont wanna have CR or LF in messages - after Regexphandling=#
EliminateCRandLFinMsgs=0
;#CheckJobIdentifier only when CreateTask active and StartAlarm deactive.=#
;#When the task with the selected JobIdentifier already exists, it’s handled like a comment.=#
CheckForJobIdentifier=0
RegexpForJobIdentifierInSubjectInsteadOfText=0
RegexpForJobIdentifier=
;#If no JobIdentifier in the message the JobIdentifier could be taken from the last received or the last send with same receiver.=#
;#Per default it’s stored in the nvSendAndReceiveStat.log=#
TakeTMSJobIdentifierOfLastReceived=0
TakeTMSJobIdentifierOfLastSend=0
;#Take the value when it’s newer than the time since received.=#
TimeSecondsSinceLastReceived=0
;#Take the value when it’s newer than the time since send.=#
TimeSecondsSinceLastSend=0
#Starts the alarm immediately from the alarmkey given in input=#
#To use as text the content of external msg file. If not existing take text anyway.=#
#Uses a regular expression in subject or on textline.=#
#Set EliminateCRandLFinMsgs to 1, when you dont wanna have CR or LF in messages - after Regexphandling=#
#CheckJobIdentifier only when CreateTask active and StartAlarm deactive.=#
#When the task with the selected JobIdentifier already exists, it’s handled like a comment.=#
#If no JobIdentifier in the message the JobIdentifier could be taken from the last received or the last send with same receiver.=#
#Per default it’s stored in the nvSendAndReceiveStat.log=#
#Take the value when it’s newer than the time since received.=#
#Take the value when it’s newer than the time since send.=#
##########################=##########################
#=3

;##########################=##########################
;#=3
[DynamicAlarmStart]
;#Starts the alarm immediately with the type (sms, pag etc) and the address (0787731233 etc) given in input=#
DynamicAlarmStartActive=0
DefaultDynamicAlarm=9600
DefaultDynamicType=
;#Allways use regular expressions.=#
RegexpForTypeInSubjectInsteadOfText=0
RegexpForType=([^ ]*) ([^ ]*) (.*)
RegexpLayoutForType=\1
RegexpForAddressInSubjectInsteadOfText=0
RegexpForAddress=([^ ]*) ([^ ]*) (.*)
RegexpLayoutForAddress=\2
RegexpForMessageInSubjectInsteadOfText=0
RegexpForMessage=([^ ]*) ([^ ]*) (.*)
RegexpLayoutForMessage=\3
RegexpForDisplayMsg1InSubjectInsteadOfText=0
RegexpForDisplayMsg1=
RegexpLayoutForDisplayMsg1=\1
RegexpForDisplayMsg2InSubjectInsteadOfText=0
RegexpForDisplayMsg2=
RegexpLayoutForDisplayMsg2=\1
#Starts the alarm immediately with the type (sms, pag etc) and the address (0787731233 etc) given in input=#
#Allways use regular expressions.=#
##########################=##########################
#=4

;##########################=##########################
;#=4
[AlarmScan]
;#Scan the scantext of the alarms with the input text=#
AlarmScanActive=0
Vm001Path=\db1
InputInSubjectInsteadOfText=0
InputIsExactlyTheAlarmScanText=0
InputIsPartOfTheAlarmScanText=0
AlarmScanTextIsPartOfTheInput=0
AlarmScanFirstAlarmNbr=5000
AlarmScanLastAlarmNbr=9000
UseSpecialScanTextField=1
UseRegularExpression=0
RegexpForScanTextActive=0
RegexpForScanTextInSubjectInsteadOfText=0
RegexpForScanText=
RegexpLayoutForScanText=\1
RegexpForMessageActive=0
RegexpForMessageInSubjectInsteadOfText=0
RegexpForMessage=
RegexpLayoutForMessage=\1
RegexpForDisplayMsg1Active=0
RegexpForDisplayMsg1InSubjectInsteadOfText=0
RegexpForDisplayMsg1=
RegexpLayoutForDisplayMsg1=\1
RegexpForDisplayMsg2Active=0
RegexpForDisplayMsg2InSubjectInsteadOfText=0
RegexpForDisplayMsg2=
RegexpLayoutForDisplayMsg2=\1
#Scan the scantext of the alarms with the input text=#
##########################=##########################
#=5

;##########################=##########################
;#=5
[DefaultStructure]
;#A:<alarmnbr> D1:<Display1> D2:<Display2> M:<UUI-Msg>=#
DefaultStructureActive=0
#A:<alarmnbr> D1:<Display1> D2:<Display2> M:<UUI-Msg>=#
[SM3Input]
;#Keyword is NV_3G_Popup at the begining of the text=#
SM3InputActive=0
#Keyword is NV_3G_Popup at the begining of the text=#
[CallbackInput]
;#Use the part 'NvCode:<code>' as callback-code=#
;#or with the regular expression you can get it elsewere..=#
CallbackInputActive=0
;#Use in the regularexpression <PREFIX> or <POSTFIX> as placeholder for the pre- and postfix in nvapagcb.ini=#
RegexpForCallBackCode=.*<PREFIX>([^\/]*).*
RegexpForStatus=.*(.)
RegexpForAnswerText=(.*)
;#Map the status-keywords from the input to the default status=#
KeywordForClosePositive=C
KeywordForContinue=S
KeywordForSuspend=P
KeywordForOnDuty=N
KeywordForOffDuty=F
;#Map the status-numbers (CallbackConfType) to the default status=#
StatusNumberForClosePositive=1
StatusNumberForContinue=5
StatusNumberForSuspend=3
StatusNumberForOnDuty=6
StatusNumberForOffDuty=7
#Use the part 'NvCode:<code>' as callback-code=#
#or with the regular expression you can get it elsewere..=#
#Use in the regularexpression <PREFIX> or <POSTFIX> as placeholder for the pre- and postfix in nvapagcb.ini=#
#Map the status-keywords from the input to the default status=#
#Map the status-numbers (CallbackConfType) to the default status=#
[PagerAcknowledge]
;#Use the pager-reply structure and update status=#
PagerAcknowledgeActive=0
;#The time from start of the alarm to the time where an alarm shouldn't be considered anymore=#
PagerAcknowledgeTimeOutInSecondsOfOpenAlarms=300
MappingDataFile=nvincmsg_swissphoneid_to_pagernbr.ini
#Use the pager-reply structure and update status=#
#The time from start of the alarm to the time where an alarm shouldn't be considered anymore=#
##########################=##########################
#=6

;##########################=##########################
;#=6
[TopassInput]
;#NotYetImplemented=#
TopassInputActive=0
#NotYetImplemented=#
[HotSOSEmailInput]
;#External Structure used for inputs from the HotSOS over Email=#
HotSOSEmailInputActive=0
HotSOSEmailInputInterfaceDBResultPath=
HotSOSEmailInputUseReceiverAddressForDynamicAlarm=1
HotSOSEmailInputDefaultDynamicAlarmKey=7000
HotSOSEmailInputDefaultDynamicAlarmKeyAdHoc=7001
HotSOSEmailInputAlarmOffset=7000
;#Use the templates <SERVICE_ID>, <PRIORITY>, <LOC_AND_NAME>, <REMARK>, <GUEST>, <REQUESTER> for creating the alarm message=#
;#If the template parameter is empty, it’s the default like <LOC_AND_NAME> <REMARK> <GUEST>=#
HotSOSEmailInputAlarmMessageTemplate=<SERVICE_ID> <PRIORITY> <LOC_AND_NAME> <REMARK> <GUEST>
HotSOSEmailInputMobilizationType=INT
#External Structure used for inputs from the HotSOS over Email=#
#Use the templates <SERVICE_ID>, <PRIORITY>, <LOC_AND_NAME>, <REMARK>, <GUEST>, <REQUESTER> for creating the alarm message=#
#If the template parameter is empty, it’s the default like <LOC_AND_NAME> <REMARK> <GUEST>=#
[FelsenmeerFunktelInput]
;#External Structure used for localisation with the felsenmeer GSM-Mobiles=#
FelsenmeerFunktelInputActive=0
#External Structure used for localisation with the felsenmeer GSM-Mobiles=#
##########################=##########################
#=7

;##########################=##########################
;#=7
[FreeStructure]
;#FreeStructure to define in different cases. with regexp and modules to start=#
NumberOfFreeStructuredCases=0
#FreeStructure to define in different cases. with regexp and modules to start=#
##########################=##########################
#=8

;##########################=##########################
;#=8
[Genprinter]
;#Send data per socket to the genprinter=#
GenprinterActive=0
GenprinterServerPort=4000
GenprinterServerIP=127.0.0.1
#Send data per socket to the genprinter=#
##########################=##########################
#=9

;##########################=##########################
;#=9
[AlarmStatusUpdate]
;#Set status of extracted person entry (address) and alarm to 'Confirmed'=#
AlarmStatusUpdateActive=0
RegexpForAlarmReference=
RegexpForAlarmReferenceInSubjectInsteadOfText=0
RegexpLayoutForAlarmReference=\1
RegexpForCalledAddress=
RegexpForCalledAddressInSubjectInsteadOfText=0
RegexpLayoutForCalledAddress=\1
RegexpForCalledType=
RegexpForCalledTypeInSubjectInsteadOfText=0
RegexpLayoutForCalledType=\1
DefaultCalledType=
RegexpForStatus=
RegexpForStatusInSubjectInsteadOfText=0
RegexpLayoutForStatus=\1
StatusTextConfirmed=confirmed
StatusTextRejected=rejected
StatusTextCanceled=canceled
#Set status of extracted person entry (address) and alarm to 'Confirmed'=#

;##########################=##########################
[WhiteList]
;#Enter senders allowed to affect the incomingmessages in this format: 0787661010 to 1=#
WhiteListActive=0
#Enter senders allowed to affect the incomingmessages in this format: 0787661010 to 1=#
##########################=##########################

;##########################=##########################
[BlackList]
;#Enter senders NOT allowed to affect the incomingmessages in this format: 0787661010 to 1=#
BlackListActive=0
#Enter senders NOT allowed to affect the incomingmessages in this format: 0787661010 to 1=#
##########################=##########################

;##########################=##########################
[IncomingProcessList]
;#Enter the section above for a sender to choose first: 0787661010 to 'DirectAlarmKeyStart' etc.=#
IncomingProcessListActive=0
#Enter the section above for a sender to choose first: 0787661010 to 'DirectAlarmKeyStart' etc.=#

[AlarmConfirmation]

##########################=##########################
[SonimSMSInput]
#External Structure used for inputs from the Sonim XP3340 over SMS the nvhttpserver=#
SonimSMSInputActive=0
SonimWriteStatusOnDelivered=0
